Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util
Class POCreator

    java.lang.Object
      scone.util.POCreator

    public class POCreator

extends java.lang.Object

this class automatically generates objects representing sql-records WARNING: The status of this class is currently not known! You should not use it!

Author:
  Volkert Buchmann

Constructor Summary
`POCreator(java.lang.String name)` creates a new POCreator which will create a new persistent object `name`

Method Summary
`void` | `createCacheSource()` put your documentation comment here
`void` | `createTableRecordSource()`
`java.lang.String` | `getType(java.lang.String sqlType)`
`static void` | `main(java.lang.String[] args)` put your documentation comment here
`void` | `parseSqlSource()` parses the sql file which must be named after the object to be created: `name`.sql
`void` | `printMe()` put your documentation comment here
`void` | `transTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POCreator

    public POCreator(java.lang.String name)

  creates a new POCreator which will create a new persistent object `name`

  Parameters:
    `name` - the name of the object

Method Detail

### main

    public static void main(java.lang.String[] args)

  put your documentation comment here

  Parameters:
    `args` -

### createCacheSource

    public void createCacheSource()

  put your documentation comment here

### printMe

    public void printMe()

  put your documentation comment here

### parseSqlSource

    public void parseSqlSource()

  parses the sql file which must be named after the object to be created: `name`.sql

### createTableRecordSource

    public void createTableRecordSource()

### transTypes

    public void transTypes()

### getType

    public java.lang.String getType(java.lang.String sqlType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD